# Class DefaultDataNodeFactory

java.lang.Object
org.apache.cayenne.configuration.runtime.DefaultDataNodeFactory

All Implemented Interfaces:
  `DataNodeFactory`

public class DefaultDataNodeFactory extends Object implements DataNodeFactory

Since:
  4.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<DbAdapterDetector>`
  `adapterDetectors`
  `protected BatchTranslator<DeleteBatchQuery>`
  `deleteBatchTranslator`
  `protected EJBQLTranslator`
  `ejbqlTranslator`
  `protected BatchTranslator<InsertBatchQuery>`
  `insertBatchTranslator`
  `protected AdhocObjectFactory`
  `objectFactory`
  `protected ProcedureTranslator`
  `procedureTranslator`
  `protected RuntimeProperties`
  `properties`
  `protected RowReaderFactory`
  `rowReaderFactory`
  `protected SelectTranslator`
  `selectTranslator`
  `protected SQLLogger`
  `sqlLogger`
  `protected SQLTemplateTranslator`
  `sqlTemplateTranslator`
  `protected BatchTranslator<UpdateBatchQuery>`
  `updateBatchTranslator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultDataNodeFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataNode`
  `createDataNode(String channelName, DataNodeDescriptor descriptor)`
  `protected DataSource`
  `createDataSource(String channelName, DataNodeDescriptor descriptor)`
  `protected DbAdapter`
  `createDbAdapter(Class<? extends DbAdapter> type, DataSource dataSource)`
  `protected SchemaUpdateStrategy`
  `createSchemaUpdateStrategy(Class<? extends SchemaUpdateStrategy> type)`
  `protected DataNode`
  `doCreateDataNode(String name)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sqlLogger

    protected SQLLogger sqlLogger

  - ### rowReaderFactory

    protected RowReaderFactory rowReaderFactory

  - ### insertBatchTranslator

    protected BatchTranslator<InsertBatchQuery> insertBatchTranslator

  - ### updateBatchTranslator

    protected BatchTranslator<UpdateBatchQuery> updateBatchTranslator

  - ### deleteBatchTranslator

    protected BatchTranslator<DeleteBatchQuery> deleteBatchTranslator

  - ### selectTranslator

    protected SelectTranslator selectTranslator

  - ### procedureTranslator

    protected ProcedureTranslator procedureTranslator

  - ### ejbqlTranslator

    protected EJBQLTranslator ejbqlTranslator

  - ### objectFactory

    protected AdhocObjectFactory objectFactory

  - ### sqlTemplateTranslator

    protected SQLTemplateTranslator sqlTemplateTranslator

  - ### adapterDetectors

    protected List<DbAdapterDetector> adapterDetectors

  - ### properties

    protected RuntimeProperties properties

- ## Constructor Details

  - ### DefaultDataNodeFactory

    public DefaultDataNodeFactory()

- ## Method Details

  - ### createDataNode

    public DataNode createDataNode(String channelName, DataNodeDescriptor descriptor)
    Specified by:
      `createDataNode` in interface `DataNodeFactory`

  - ### doCreateDataNode

    protected DataNode doCreateDataNode(String name)

  - ### createDataSource

    protected DataSource createDataSource(String channelName, DataNodeDescriptor descriptor)

  - ### createDbAdapter

    protected DbAdapter createDbAdapter(Class<? extends DbAdapter> type, DataSource dataSource)

  - ### createSchemaUpdateStrategy

    protected SchemaUpdateStrategy createSchemaUpdateStrategy(Class<? extends SchemaUpdateStrategy> type)